package jalview.io;

import jalview.api.AlignExportSettingI;
import jalview.api.AlignmentViewPanel;
import jalview.api.FeatureSettingsModelI;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.SequenceI;

public interface AlignmentFileReaderI
{

  SequenceI[] getSeqsAsArray();

  void addAnnotations(AlignmentI al);

  void addGroups(AlignmentI al);

  void setSeqs(SequenceI[] sequencesArray);

  boolean hasWarningMessage();

  String getWarningMessage();

  String getInFile();

  DataSourceType getDataSourceType();

  FeatureSettingsModelI getFeatureColourScheme();

}
